Package org.apache.aries.jax.rs.whiteboard.internal.cxf

## Class ServiceReferenceFilterProviderInfo<T>

- java.lang.Object
- - org.apache.cxf.jaxrs.model.AbstractResourceInfo
  - - org.apache.cxf.jaxrs.model.ProviderInfo<T>
    - - org.apache.cxf.jaxrs.model.FilterProviderInfo<T>
      - - org.apache.aries.jax.rs.whiteboard.internal.cxf.ServiceReferenceFilterProviderInfo<T>

    public class ServiceReferenceFilterProviderInfo<T>
    extends org.apache.cxf.jaxrs.model.FilterProviderInfo<T>

### Field Summary

### Fields inherited from class org.apache.cxf.jaxrs.model.AbstractResourceInfo

`CONSTRUCTOR_PROXY_MAP, resourceClass, root, serviceClass`

### Constructor Summary

Constructors
`ServiceReferenceFilterProviderInfo​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference, Class<?> resourceClass, Class<?> serviceClass, T provider, org.apache.cxf.Bus bus, Set<String> nameBindings, boolean dynamic, Map<Class<?>,​Integer> supportedContracts)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.aries.component.dsl.CachingServiceReference<?>` `getServiceReference()`

### Methods inherited from class org.apache.cxf.jaxrs.model.FilterProviderInfo

`getNameBindings, getPriority, getSupportedContracts, isDynamic`

### Methods inherited from class org.apache.cxf.jaxrs.model.ProviderInfo

`equals, getProvider, hashCode, isBusGlobal, isCustom, isSingleton, setBusGlobal`

### Methods inherited from class org.apache.cxf.jaxrs.model.AbstractResourceInfo

`clearAllMaps, clearThreadLocalProxies, contextsAvailable, getBus, getConstructorProxies, getContextFieldProxy, getContextFields, getContextMethods, getContextSetterProxy, getResourceClass, getServiceClass, isRoot, setResourceClass`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServiceReferenceFilterProviderInfo

    public ServiceReferenceFilterProviderInfo​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference,
                                              Class<?> resourceClass,
                                              Class<?> serviceClass,
                                              T provider,
                                              org.apache.cxf.Bus bus,
                                              Set<String> nameBindings,
                                              boolean dynamic,
                                              Map<Class<?>,​Integer> supportedContracts)

### Method Detail

#### getServiceReference

    public org.apache.aries.component.dsl.CachingServiceReference<?> getServiceReference()